> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unomiq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Organization

> Get detailed information for a specific organization.

Retrieves complete details for an organization including optional fields
like contact email and addresses.
Requires the `read:organizations` permission, available to users with a `member` or `owner` role in the organization, or to API keys with this permission assigned.

Returns:
    Object with complete organization details including the caller's role and optional fields.



## OpenAPI

````yaml GET /organizations/{org_id}
openapi: 3.1.0
info:
  title: Unomiq Management API
  description: >-

    API for managing settings for organizations, applications and API keys.


    ## Authentication


    All API endpoints require authentication via JWT token in the Authorization
    header:


    ```

    Authorization: Bearer <your_jwt_token>

    ```
        
  version: 1.0.0
servers:
  - url: https://management-api.unomiq.com
    description: Production
security: []
paths:
  /organizations/{org_id}:
    get:
      tags:
        - organizations
      summary: Get Organization
      description: >-
        Get detailed information for a specific organization.


        Retrieves complete details for an organization including optional fields

        like contact email and addresses.

        Requires the `read:organizations` permission, available to users with a
        `member` or `owner` role in the organization, or to API keys with this
        permission assigned.


        Returns:
            Object with complete organization details including the caller's role and optional fields.
      operationId: get_organization_organizations__org_id__get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            title: Org Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    OrganizationDetail:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        role:
          type: string
          title: Role
        contract_email:
          type: string
          title: Contract Email
          default: ''
        tax_id:
          type: string
          title: Tax Id
          default: ''
        address:
          $ref: '#/components/schemas/Address'
        billing_address:
          $ref: '#/components/schemas/Address'
        created_at:
          type: string
          title: Created At
        updated_at:
          type: string
          title: Updated At
      type: object
      required:
        - id
        - name
        - role
        - created_at
        - updated_at
      title: OrganizationDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Address:
      properties:
        street:
          type: string
          maxLength: 255
          title: Street
          default: ''
        city:
          type: string
          maxLength: 255
          title: City
          default: ''
        state:
          type: string
          maxLength: 255
          title: State
          default: ''
        postal_code:
          type: string
          maxLength: 20
          pattern: ^[A-Za-z0-9\s\-]*$
          title: Postal Code
          default: ''
        country:
          type: string
          maxLength: 255
          title: Country
          default: ''
      type: object
      title: Address
      description: Address value object.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````